<?php
   include("funciones/funciones_backup.php");   
   include("conexion/conexion.php");   
   include("Menu/menu_inicio.php");  
   include("Ordenes/ordenes.php"); 
   include("logos.php"); 
     
$perfil=$_SESSION['perfil'];   
$v_mysql=conn_mysql();
   $_cli=$_GET['cliente'];
   $f1=$_GET['f1'];
   $f2=$_GET['f2'];
   $_prod=$_GET['_prod'];
   $nestado=$_GET['nestado'];
   $_suc=$_GET['suc'];
   $_usu=$_GET['id_user'];
  //   exit();
if($perfil==1){		
			$_add=" ";
		}else{		
			$_add=" and id_cliente='".$_cli."'";
	}
   if (!empty($_prod)){
   		$_add=" and b.producto='".$_prod."'";
   }
   
   $nombrepagina = "INFORME DE ENVIOS POR FECHA";
   encabezado($target); 
   //$nombre_u=$nombre_usuario;
   //$pass=$password;
   $user=$_SESSION['validar'];
   //entrada($user,$_GET['id_user'],$_GET['suc']);
   $tamano_pagina=20;
   $_SESSION['tam']=$tamano_pagina;  
   $pagina = $_GET["pagina"];
			    if(!$pagina){
		        	$inicio=0;
					$_SESSION['inicio']=$inicio;
		        	$pagina=1;
		  		}else{
		            $inicio=($pagina-1)*$tamano_pagina;
					$_SESSION['inicio']=$inicio;
		  		}
     $filas=1;   
      if($filas == 1)
	{ 
	 //$conn=mysql_connect("localhost", "root", "1234");
	 //menu($id_user);
	 class llamado{
	 var $menuObj;
	 //var
	      function validar1($id_user,$id_sucursal){
	 			  $this->menuObj=new menu_inicio();
				  $this->menuObj->menu2($id_user,$id_sucursal);
	  	  }
	 }
	 $llamadoObj=new llamado();
	 $llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
	 entrada($user,$_GET['id_user'],$_GET['suc']);
	 echo"</td>";	 
	 echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
		 //echo"<br><br>";
	 mostrar_cabeza_trabajo($nombrepagina);	 
	 

$sql_registros="SELECT * FROM guias_proceso as a inner join ordenes as b on a.orden=b.orden
 WHERE id_estado in $nestado and fecha_cargue between '$f1' and '$f2' ".$_add;
//echo $sql_registros;
$rst_select_lotes=mysql_query($sql_registros,$v_mysql) or die (mysql_error());
$filas=mysql_num_rows($rst_select_lotes);
$total_paginas= ceil($filas/$tamano_pagina);
?>
<table width="710" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="12" class=miTable_th1><div align="center">..:: <?echo $filas?> REGISTROS CONSULTADOS ::..</div></td>
</tr>
<a href="<?=$_SERVER["HTTP_REFERER"]?>" class="mainlevel"><b>REGRESAR</b></a>
<tr class="miTable_tr">
<td valign=top class=miTable_th1 width="70"><div align="center"><? echo $Tguia ?></div></td>
<td valign=top class=miTable_th1 width="50"><? echo $Torden ?></td>
<td valign=top class=miTable_th1 width="50">PRODDUCTO</td>
<td valign=top class=miTable_th1 width="113"><? echo $Tempresa ?></td>
<td valign=top class=miTable_th1 width="150"><div align="center"><? echo $Tdestinatario ?></div></td>
<td valign=top class=miTable_th1 width="150"><div align="center"><? echo $Tdireccion ?></div></td>
<td valign=top class=miTable_th1 width="150"><div align="center">FECHA CARGUE</div></td>
<td valign=top class=miTable_th1 width="150"><div align="center"><? echo $Tespecial5 ?></div></td>
<td valign=top class=miTable_th1 width="150"><div align="center">TIEMPO</div></td>
<td valign=top class=miTable_th1 width="50"><div align="center"><? echo $Ttelefono ?></div></td>
<td valign=top class=miTable_th1 width="50"><div align="center"><? echo $Tciudad ?></div></td>
<td valign=top class=miTable_th1 width="50"><? echo $Tidentificacion ?></td>
<!--td valign=top class=miTable_th1 width="90"><div align="center">PRODUCTO</div></td-->
</tr>
<?
	class elimina{
		  var $userObj;
		  function eliminar($f1,$f2,$nestado,$_add){
		  			$tamano_pagina=$_SESSION['tam'];
					$inicio=$_SESSION['inicio'];
		  		   $this->userObj=new consultas_mysql();
				   $this->userObj->detalle_guias($inicio,$tamano_pagina,$_GET['id_user'],$_GET['suc'],$f1,$f2,$nestado,$_add);
		  }
	}
	$eliminaObj=new elimina();
	$eliminaObj->eliminar($f1,$f2,$nestado,$_add);
?>
</tr>
<tr class=miTable_tr>
<td class=miTable_td colspan="11">
<div align="center">
<?
$id_user=$_GET['id_user'];
$id_sucursal=$_GET['suc'];
if($total_paginas>1)
		{   echo "Paginas:";
			//echo "&nbsp;&nbsp;"; 
			$start = ( $pagina-5 > 0 ? $pagina-5  : 1 );
			if ($start > 1 ){
				print "&nbsp;<a href=detalle_guiascliente.php?pagina=".($start-1)."&id_user=$_usu&suc=$_suc&nestado=$nestado&f1=$f1&f2=$f2&cliente=$_cli&_prod=$_prod> << </A>";
			}
			for($i = 0; $i < 10 && $total_paginas >= $start+$i; $i++){
				if($pagina == $start+$i){
					print "&nbsp;&nbsp;".($start+$i); 
				}else{
					print "&nbsp;&nbsp;<a href='detalle_guiascliente.php?pagina=".($start+$i)."&id_user=$_usu&suc=$_suc&nestado=$nestado&f1=$f1&f2=$f2&cliente=$_cli&_prod=$_prod'>". ($start+$i)." </A>";
				}
		   	}
			if($start+$i < $total_paginas){
			    print "&nbsp;&nbsp;<a href='detalle_guiascliente.php?pagina=".($start+$i)."&id_user=$_usu&suc=$_suc&nestado=$nestado&f1=$f1&f2=$f2&cliente=$_cli&_prod=$_prod> >> </A>";

			}
		 	print "&nbsp;<a href=detalle_guiascliente.php?pagina=1&id_user=&id_user=$_usu&suc=$_suc&nestado=$nestado&f1=$f1&f2=$f2&cliente=$_cli&_prod=$_prod>Primera P&aacute;gina</A>";
			print "&nbsp;<a href=detalle_guiascliente.php?pagina=".($total_paginas)."&id_user=$_usu&suc=$_suc&nestado=$nestado&f1=$f1&f2=$f2&cliente=$_cli&_prod=$_prod>&Uacute;ltima P&aacute;gina</A>";			
		 } 
?>
</div></td>
</tr>
<form action="" method="get" name="backup">
<tr class=miTable_tr>
<td class=miTable_th1 colspan="11">
<DIV align="center">
Ir a la pagina
<input type='text' name='pagina' value='' size="5" class="inputbox">
<input type='hidden' name='id_user' value='<? echo $_usu?>'>
<input type='hidden' name='suc' value='<? echo $_suc?>'>
<input type='hidden' name='nestado' value='<? echo $nestado?>'>
<input type='hidden' name='f1' value='<? echo $f1?>'>
<input type='hidden' name='f2' value='<? echo $f2?>'>
<input type='hidden' name='cliente' value='<? echo $_cli?>'>
<input type='hidden' name='_prod' value='<? echo $_prod?>'>
<input type='submit' name='' value='Ir' class="inputbox">
</DIV></td>
</tr>
</table>
</form>
</CENTER>
	 <?
	 mostrar_pie();
	} 
	 echo"</td>";
	echo"</tr>";   
   echo"</table>";     
echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
    echo"<tbody><tr>";
      echo"<td></td>";
    echo"</tr>";
    echo"<tr>";
      echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
    echo"</tr>";
	echo"<tr>";
	?>
	 <td>
	  <center>
	  <? pie_de_pagina();?>
	  </center>
	 </td>
	<?php
    echo"</tr>";
  echo"</tbody></table>";
   echo"</center>";
   echo"</body>";
   echo"</html>";
 
?>
</CENTER>
</form>
